【活用ガイド】

[English]

JVNDB-2015-000101

Windows 版 PHP における OS コマンドインジェクションの脆弱性

概要

Windows 版 PHP には、escapeshellarg 関数の処理に起因する OS コマンドインジェクションの脆弱性が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: Masahiro Yamada 氏

CVSS による深刻度 (CVSS とは?)

基本値: 6.8 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

影響を受けるシステム


The PHP Group
  • PHP (Windows 版) 5.4.42 より前のバージョン
  • PHP (Windows 版) 5.5.26 より前のバージョン
  • PHP (Windows 版) 5.6.10 より前のバージョン

想定される影響

細工されたパラメータを escapeshellarg 関数に処理させることで、任意の OS コマンドを実行させられる可能性があります。
対策

[パッチを適用する]
開発者が提供する情報をもとにパッチを適用してください。
ベンダ情報

The PHP Group ターボリナックス
CWEによる脆弱性タイプ一覧  CWEとは?

  1. OSコマンドインジェクション(CWE-78) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2015-4642
参考情報

  1. JVN : JVN#73568461
  2. National Vulnerability Database (NVD) : CVE-2015-4642
  3. IPA 重要なセキュリティ情報 : Windows 版「PHP」におけるOSコマンド・インジェクションの脆弱性対策について(JVN#73568461) 
更新履歴

[2015年07月17日]
  掲載
[2015年07月22日]
  参考情報:IPA 重要なセキュリティ情報 (Windows 版「PHP」におけるOSコマンド・インジェクションの脆弱性対策について(JVN#73568461) を追加
[2015年07月30日]
  ベンダ情報:ターボリナックス (TLSA-2015-15) を追加
[2016年05月19日]
  参考情報:National Vulnerability Database (NVD) (CVE-2015-4642) を追加
  ベンダ情報:The PHP Group (Fix bug #69646 OS command injection vulnerability in escapeshellarg) を追加